.gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.image {
  position: relative;
  height: 250px;
  aspect-ratio: 1/1;
}

.image .img {
  width: 100%;
  height: 100%;
  background-position: center;
  background-size: cover;
}

.overlay {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  background-color: rgba(255, 255, 255, 0.7);
  color: #000;
  transition: opacity 0.3s ease;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
}

.image:hover .overlay {
  opacity: 1;
  backdrop-filter: blur(10px);
}

.caption {
  width: 70%;

  font-size: 18px;
  text-align: center;

  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 5;
  -webkit-box-orient: vertical;
}

.caption .heading {
  font-size: 1em;
  text-align: center;
}

.caption .description {
  font-size: 0.75em;
}

.actions {
  width: 50%;

  display: flex;
  align-items: center;
  justify-content: space-around;
}

.actions button {
  margin: 5px;
}

.modal {
  display: none;
  flex-direction: column;
  position: fixed;
  z-index: 999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: #fff;

  color: black;
}

.modal-nav {
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-direction: row;
  flex-wrap: nowrap;
  padding: 20px 30px;
  user-select: none;
}

.modal-main {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  flex-wrap: wrap;
  flex-grow: 2;
  align-content: center;
}

.modal-image {
  display: flex;
  align-items: center;
  user-select: none;
}

.modal-content {
  display: block;
  margin: auto;
  /* max-width: 90%; */
  /* max-height: 80%; */
}

.modal-caption {
  min-width: 100px;
  text-align: center;
  margin-top: 20px;
  width: 40%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
  max-height: 40%;
}

.modal-actions {
  text-align: center;
}

.modal-navigation {
  text-align: center;
}

.close {
  cursor: pointer;
}

.close:hover,
.close:focus {
  color: #f1f1f1;
  text-decoration: none;
  cursor: pointer;
}

.share-btn,
.like-btn,
#prev-btn,
#next-btn {
  cursor: pointer;
}

.like-btn.material-symbols-rounded[data-liked='true'] {
  font-variation-settings: 'FILL' 1;
  color: red;
}

.like-btn.material-symbols-rounded[data-liked='false'] {
  font-variation-settings: 'FILL' 0, 'wght' 400, 'GRAD' 0, 'opsz' 48;
  color: inherit;
}

#push-notifications {
  position: fixed;
  bottom: 10%;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}
div#push-notifications div#notification {
  background-color: #000;
  color: #e21c21;
  padding: 5px 7px;
  border-radius: 5px;
  max-width: min(80vw, 300px);
  font-weight: 500;
}
